This service will be undergoing maintenance at 00:00 UTC, 2016-09-28. It is expected to last about 1 hours
Bug 75117 - (FS PROC)System idle time in /proc/stat does not match CPU idle time
(FS PROC)System idle time in /proc/stat does not match CPU idle time
Status: CLOSED CURRENTRELEASE
Product: Red Hat Linux
Classification: Retired
Component: kernel (Show other bugs)
8.0
i686 Linux
medium Severity medium
: ---
: ---
Assigned To: Arjan van de Ven
Brian Brock
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2002-10-04 12:54 EDT by Lev Makhlis
Modified: 2008-08-01 12:22 EDT (History)
0 users

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2004-09-30 11:40:00 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:


Attachments (Terms of Use)

  None (edit)
Description Lev Makhlis 2002-10-04 12:54:38 EDT
From Bugzilla Helper:
User-Agent: Mozilla/5.0 (compatible; Konqueror/3.0.0-10; Linux)

Description of problem:
The idle time in the "cpu" line (which is supposed to be the sum of all individual CPUs) often differs by 10-20 ms (i.e., 1-2 userspace ticks) from the idle time in the "cpu0" line on a single-processor system.

Version-Release number of selected component (if applicable):


How reproducible:
Sometimes

Steps to Reproduce:
1. grep cpu /proc/stat

 

Actual Results:  cpu  513891 3024 68072 12500724
cpu0 513891 3024 68072 12500722


Expected Results:  Identical numbers

Additional info:

This is a round-off problem.  When the total idle time is calculated,
the hz_to_std() conversion is applied to user, nice and system times
separately, while for an individual CPU, the conversion is applied to the sum.
Comment 1 Bugzilla owner 2004-09-30 11:40:00 EDT
Thanks for the bug report. However, Red Hat no longer maintains this version of
the product. Please upgrade to the latest version and open a new bug if the problem
persists.

The Fedora Legacy project (http://fedoralegacy.org/) maintains some older releases, 
and if you believe this bug is interesting to them, please report the problem in
the bug tracker at: http://bugzilla.fedora.us/

Note You need to log in before you can comment on or make changes to this bug.